extends Control

var _minutes : int

func _process(delta):
	var hour_size = get_viewport_rect().size.y/15
	var additional_height = 0.65*floor(_minutes/12)
	custom_minimum_size.y = _minutes * hour_size / 60 + additional_height

func set_minutes(minutes):
	_minutes = minutes
